Bug 12253 - MARCURLS not showing in OPAC basket
Summary: MARCURLS not showing in OPAC basket
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-14 03:06 UTC by David Cook
Modified: 2015-12-03 22:02 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 12253: Fix MARCUrls in basket (4.77 KB, patch)
2015-04-28 13:20 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 12253: Fix MARCUrls in basket (4.87 KB, patch)
2015-04-29 06:21 UTC, M. Tompsett
Details | Diff | Splinter Review
[PASSED QA] Bug 12253: Fix MARCUrls in basket (4.94 KB, patch)
2015-04-29 20:28 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description David Cook 2014-05-14 03:06:51 UTC
Currently, URLs are not showing up in the OPAC basket (more detail view).

This is because the template tries to get them with the key "MARCurlS" when the actual key is "MARCURLS".

The template should also use MARCurl.url instead of MARCurl.part, so that users can see the actual URL rather than the "Materials specified".
Comment 1 Jonathan Druart 2015-04-28 13:20:24 UTC Comment hidden (obsolete)
Comment 2 M. Tompsett 2015-04-29 06:21:28 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2015-04-29 20:28:41 UTC
Created attachment 38691 [details] [review]
[PASSED QA] Bug 12253: Fix MARCUrls in basket

At the OPAC and the intranet, the urls don't be displayed anymore.
The variables used in the templates are not the good ones (MARCurlS vs
MARCURLS).

Test plan:
1/ On the intranet side, add some urls to some records
2/ Add these records to the basket
3/ Add records without urls defined
4/ Go on the basket view, click "more details"
5/ You should see the urls displayed
6/ Repeat steps 4-5 at the OPAC

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

NOTE: 856$u displays now in intranet and OPAC. :)

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Tomás Cohen Arazi 2015-05-06 16:54:49 UTC
Patches pushed to master.

Thanks Jonathan!
Comment 5 Chris Cormack 2015-05-17 06:33:50 UTC
Pushed to 3.18.x will be in 3.18.7